I am starting to get headaches trying to figure this all out.

What I want to do is get my 4 graphics cards bitcoin mining for me again but on ubuntu. I have finally managed to get ubuntu to recognize all of my cards, but now it seems I cannot get OpenCL to work/be recognized.
(System x4 5830s, Evga Z77 FTW, Intel 3570K)

So the furthest I have gotten is being able to run the command
Code:
sudo lspci | grep VGA
and get all four cards to show up, and also run
Code:
sudo aticonfig --adapter=all --initial
reboot and run
Code:
aticonfig --adapter=all --odgt
and see each card and its temprature.


Where I am failing is with my mining software trying to use OpenCL.
I am going by this guide http://www.distrogeeks.com/install-c...2-10-4-ubuntu/ and I fail at step #25. I get the feedback from
Code:
./autogen.sh
Code:
Configuration Options Summary:    
curses.TUI...........: FOUND: -lncurses   
OpenCL...............: NOT FOUND. GPU mining disabled.

Here is some other advice I have gotten https://bitcointalk.org/index.php?topic=149528.0;

The best they can tell me is
There will be a mismatch between the AMD.APP\bin\x86\opencl.dll and the syswow64\opencl.dll. Cgminer will crash, unless you have precompiled kernels (*.bin) files that are compatible in the folder. By copying the AMD.APP dll's (amdocl64.dll/amdocl.dll and opencl.dll) to system32 and syswow64 it will work. Remember to take ownership of the file, then change the filerights (as Windows protects those files by default).
But that is for windows. (original article for the quoted info http://devgurus.amd.com/thread/160032 )

I was also told go here https://bitcointalk.org/index.php?topic=78229.0
Never mind it's gotten much easier now.

In case anyone is wondering...

Install Restricted AMD drivers from repos
Download http://developer.amd.com/Downloads/A...v2.6-lnx64.tgz
cd to where you saved it
sudo ./Install-AMD-APP.sh
Reboot
sudo apt-get install python-pyopencl

Then download your mining software of choice and you're good to go.
But I really doubt it is that easy....



So. Can anyone help?

How can I tell which version of AMD-APP-SDK I have? How can I tell if I have OpenCL downloaded, installed, and enabled?